BaseAndExponent< T, E > Struct Template Reference

Base and exponent. More...

`#include <algebra.h>`

## Public Member Functions

| BaseAndExponent (const T &base, const E &exponent)
bool | operator< (const BaseAndExponent< T, E > &rhs) const

## Public Attributes

T | base
E | exponent

## Detailed Description

template<class T, class E = Integer>
struct BaseAndExponent< T, E >

Base and exponent.

Template Parameters

  T | base class or type
  E | exponent class or type

Definition at line 249 of file algebra.h.

## Constructor & Destructor Documentation

## BaseAndExponent() [1/2]

template<class T , class E = Integer>

BaseAndExponent< T, E >::BaseAndExponent | ( |  | ) |

inline

Definition at line 252 of file algebra.h.

## BaseAndExponent() [2/2]

template<class T , class E = Integer>

BaseAndExponent< T, E >::BaseAndExponent | ( | const T & | base,
|  | const E & | exponent
| ) |  |

inline

Definition at line 253 of file algebra.h.

## Member Function Documentation

## operator<()

template<class T , class E = Integer>

bool BaseAndExponent< T, E >::operator< | ( | const BaseAndExponent< T, E > & | rhs | ) | const

inline

Definition at line 254 of file algebra.h.

## Member Data Documentation

## base

template<class T , class E = Integer>

T BaseAndExponent< T, E >::base

Definition at line 255 of file algebra.h.

## exponent

template<class T , class E = Integer>

E BaseAndExponent< T, E >::exponent

Definition at line 256 of file algebra.h.

The documentation for this struct was generated from the following file:

- algebra.h